Package net.snowflake.client.api.resultset

## Interface SnowflakeAsyncResultSet

All Superinterfaces:
  `SnowflakeResultSet`

    public interface SnowflakeAsyncResultSet
    extends SnowflakeResultSet

This interface defines Snowflake specific APIs for asynchronous ResultSet

### Method Summary

All Methods Instance Methods Abstract Methods
`QueryStatus` `getStatus()` This function retrieves the status of an asynchronous query.

### Methods inherited from interface net.snowflake.client.api.resultset.SnowflakeResultSet

`getArray, getList, getMap, getQueryID, getResultSetSerializables`

### Method Detail

#### getStatus

    QueryStatus getStatus()
                   throws SQLException

This function retrieves the status of an asynchronous query. An empty ResultSet object has already been returned, but the query may still be running. This function can be used to query whether it is possible to retrieve results from the ResultSet already.

`status.isSuccess()` means that results can be retrieved.

Returns:
  an instance containing query metadata
Throws:
  `SQLException` - if an error is encountered